cURL
curl --request PATCH \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/allowlist/{entry.cidr_ip}/{entry.cidr_mask}?field_mask=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--data '{"cidr_ip":"192.168.1.1","cidr_mask":32,"ui":true,"sql":true,"name":"Example"}'{
"cidr_ip": "192.168.1.1",
"cidr_mask": 32,
"ui": true,
"sql": true,
"name": "Example"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Update an IP allowlist entry.
PATCH
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
allowlist
/
{entry.cidr_ip}
/
{entry.cidr_mask}
cURL
curl --request PATCH \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/allowlist/{entry.cidr_ip}/{entry.cidr_mask}?field_mask=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--data '{"cidr_ip":"192.168.1.1","cidr_mask":32,"ui":true,"sql":true,"name":"Example"}'{
"cidr_ip": "192.168.1.1",
"cidr_mask": 32,
"ui": true,
"sql": true,
"name": "Example"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Body
application/json

